SentimentEvaluationErrorListener (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.sentiment, class: SentimentEvaluationErrorListener

Package opennlp.tools.cmdline.sentiment

# Class SentimentEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.sentiment.SentimentSample>
opennlp.tools.cmdline.sentiment.SentimentEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.sentiment.SentimentSample>`

public class SentimentEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.sentiment.SentimentSample> implements opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.sentiment.SentimentSample>
Class for creating an evaluation error listener.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentimentEvaluationErrorListener()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.sentiment.SentimentSample reference, opennlp.tools.sentiment.SentimentSample prediction)`
  Prints the error in case of a missclassification in the evaluator

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### SentimentEvaluationErrorListener

    public SentimentEvaluationErrorListener()
    Constructor

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.sentiment.SentimentSample reference, opennlp.tools.sentiment.SentimentSample prediction)
    Prints the error in case of a missclassification in the evaluator
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.sentiment.SentimentSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.sentiment.SentimentSample>`
    Parameters:
      `reference` - the sentiment sample reference to be used
      `prediction` - the sentiment sampple prediction